---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - e9924d02-1de8-54ae-b747-f1bae8ae18b6
      tier: AATSR_CMP_MONTH
      value: 0.05000000074505806
    brdf:
      alpha_1:
        band_1: 0.37458861383320524
        band_11: 0.17808108580900386
        band_12: 0.1701363347085756
        band_2: 0.37458861383320524
        band_3: 0.520179392179263
        band_4: 0.31609974575967054
        band_5: 0.31609974575967054
        band_6: 0.31609974575967054
        band_7: 0.5905001819259473
        band_8: 0.5905001819259473
        band_8a: 0.5905001819259473
      alpha_2:
        band_1: 0.23284638402487365
        band_11: 0.24018227237140832
        band_12: 0.2744038912390451
        band_2: 0.23284638402487365
        band_3: 0.21618336434399835
        band_4: 0.2514646056674684
        band_5: 0.2514646056674684
        band_6: 0.2514646056674684
        band_7: 0.15606642602247525
        band_8: 0.15606642602247525
        band_8a: 0.15606642602247525
      id:
      - d97531a2-d2a5-5856-b586-7313a3f77747
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 11d6a227-f723-5b6c-8e62-f85e958cc0ee
      tier: DEFINITIVE
      value: 0.25
    water_vapour:
      id:
      - 37eda42e-0a35-5606-93ca-4f3aea27b274
      tier: DEFINITIVE
      value: 4.80999984741211
  id: 150ccb58-e95a-4c14-8d8b-1f3636056d80
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 2013.2450575889534
      BAND-11: 245.09267655420555
      BAND-12: 83.8260360334959
      BAND-2: 2057.841994371623
      BAND-3: 1926.8705825488987
      BAND-4: 1573.2909595865733
      BAND-5: 1452.3494741388283
      BAND-6: 1325.2732132111678
      BAND-7: 1213.212743632068
      BAND-8: 1074.5064166242782
      BAND-8A: 979.8651395487557
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2019-01-20 00:50:50.289000Z
    atime: 2022-08-05 15:57:32Z
    ctime: 2019-01-20 10:43:32Z
    mtime: 2019-01-20 10:43:27Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2019/2019-01/10S140E-15S145E/S2A_MSIL1C_20190120T004701_N0207_R102_T54LYK_20190120T021332.zip
  system_information:
    hostname: gadi-cpu-clx-2040.gadi.nci.org.au
    runtime_id: 50f06402-14d7-11ed-88c0-00000081fe80
    time_processed: 2022-08-05 15:57:32.678766Z
    uname: 'Linux gadi-cpu-clx-2040.gadi.nci.org.au 4.18.0-372.13.1.el8.nci.x86_64
      #1 SMP Mon Jul 4 08:46:44 AEST 2022 x86_64'
gqa:
  colors:
    blue: 0.0
    green: 0.0
    red: 21.0
    teal: 0.0
    yellow: 0.0
  error_message: no errors
  final_qa_count: 9
  granule: S2A_OPER_MSI_L1C_TL_EPAE_20190120T021332_A018689_T54LYK_N02.07
  ref_date: '2014-10-07T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/098/069/LC80980692014280LGN00_B6.TIF
  residual:
    abs:
      x: 40.45
      xy: 40.88
      y: 5.89
    abs_iterative_mean:
      x: 41.41
      xy: 41.92
      y: 6.51
    cep90: 44.49
    iterative_mean:
      x: -41.41
      xy: 41.92
      y: 6.51
    iterative_stddev:
      x: 2.08
      xy: 2.76
      y: 1.82
    mean:
      x: -40.45
      xy: 40.87
      y: 5.86
    stddev:
      x: 4.76
      xy: 6.01
      y: 3.67
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 24.5390692134399
    cloud: 63.47659762243656
    cloud_shadow: 2.122123018835372
    snow: 9.640820700661246
    water: 0.2213894446269256
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 7.342231777598615
    cloud: 92.65776822240139
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.4
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.2
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.1
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
